Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 582238 (CVE-2016-3105)

Summary: <dev-vcs/mercurial-3.8.4: arbitrary code execution when converting git repos (CVE-2016-3105)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: djc, polynomial-c, skrattaren
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=1332945
See Also: https://bugs.gentoo.org/show_bug.cgi?id=599168
Whiteboard: B2 [glsa cve cleanup]
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2016-05-06 08:48:45 UTC
From ${URL} :

A possible arbitrary code execution when converting Git repos was found in Mercirual.  Mercurial 
prior to 3.8 allowed arbitrary code execution when using the convert extension on Git repos with 
hostile names. This could affect automated code conversion services that allow arbitrary repository 
names. This is a further side-effect of Git CVE-2015-7545.

External Reference:

https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_3.8_.2F_3.8.1_.282016-5-1.29

Upstream fix:

https://selenic.com/hg/rev/a56296f55a5e


@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Dirkjan Ochtman (RETIRED) gentoo-dev 2016-05-06 10:37:26 UTC
Yes, feel free to stabilize.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-11-01 09:44:53 UTC
CVE-2016-3105 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-3105):
  The convert extension in Mercurial before 3.8 might allow context-dependent
  attackers to execute arbitrary code via a crafted git repository name.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-01 09:48:21 UTC
@arches, please stabilize:

=dev-vcs/mercurial-3.8.4


Yes, the bug title differs as 3.8.1 is the actual fixed version thus it needs to reflect for GLSA reasons.  Thanks.
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2016-11-03 09:37:17 UTC
Stable for HPPA PPC64.
Comment 5 Agostino Sarubbo gentoo-dev 2016-11-04 08:21:46 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2016-11-04 08:25:05 UTC
x86 stable
Comment 7 Markus Meier gentoo-dev 2016-11-10 17:46:20 UTC
arm stable
Comment 8 Tobias Klausmann (RETIRED) gentoo-dev 2016-11-14 14:54:02 UTC
Stable on alpha.
Comment 9 Agostino Sarubbo gentoo-dev 2016-11-27 11:41:08 UTC
ppc stable
Comment 10 Agostino Sarubbo gentoo-dev 2016-11-28 09:36:22 UTC
sparc stable
Comment 11 Agostino Sarubbo gentoo-dev 2016-11-28 09:39:35 UTC
ia64 stable.

Maintainer(s), please cleanup.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2016-12-07 10:36:50 UTC
This issue was resolved and addressed in
 GLSA 201612-19 at https://security.gentoo.org/glsa/201612-19
by GLSA coordinator Aaron Bauman (b-man).